# SPDX-FileCopyrightText: Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

import minty.cqrs
from . import (
    case,
    case_legacy,
    case_message_list,
    case_relation,
    case_relations_recover,
    contact,
    custom_object,
    custom_object_type,
    dashboard,
    export_file,
    saved_search,
    subject_relation,
    sync_geo_values,
    task,
    timeline_export,
)

COMMANDS = minty.cqrs.build_command_lookup_table(
    commands={
        case_legacy.CreateSubcases,
        case_legacy.EnqueueDocuments,
        case_legacy.EnqueueEmails,
        case_legacy.EnqueueSubcases,
        case_legacy.EnqueueSubjects,
        case_legacy.GenerateDocuments,
        case_legacy.GenerateEmails,
        case_legacy.GenerateSubjects,
        case_legacy.TransitionCase,
        case_message_list.ReassignCaseMessages,
        case_relation.CreateCaseRelation,
        case_relation.DeleteCaseRelation,
        case_relation.ReorderCaseRelation,
        case_relations_recover.CaseRelationsRecover,
        case.AssignToDepartment,
        case.AssignToSelf,
        case.AssignToUser,
        case.ChangeCoordinator,
        case.Create,
        case.DeleteCase,
        case.EnqueueAssigneeMail,
        case.Pause,
        case.Resume,
        case.SendAssigneeMail,
        case.SetCaseParent,
        case.SetCaseResult,
        case.SetCompletionDate,
        case.SetDestructionDate,
        case.SetRegistrationDate,
        case.SetTargetCompletionDate,
        case.SynchronizeRelations,
        case.SynchronizeSubject,
        case.AddValidsignTimelineEntry,
        case.NotifyCaseAssignee,
        contact.ChangePhoneExtension,
        contact.CreateLogforBSNRetrievedEvent,
        contact.DeleteSignature,
        contact.SaveContactInformation,
        contact.SaveSignature,
        contact.SetNotificationSettings,
        contact.SetSubjectRelatedCustomObject,
        contact.UpdateNonAuthenticContact,
        custom_object_type.CreateCustomObjectType,
        custom_object_type.DeleteCustomObjectType,
        custom_object_type.UpdateCustomObjectType,
        custom_object.CreateCustomObject,
        custom_object.CustomObjectActionTrigger,
        custom_object.DeleteCustomObject,
        custom_object.RecoverCustomObject,
        custom_object.RelateCustomObjectTo,
        custom_object.UnrelateCustomObjectFrom,
        custom_object.UpdateCustomObject,
        dashboard.UpdateDashboard,
        export_file.ExportFileIncreaseDownloadCounter,
        saved_search.CreateSavedSearch,
        saved_search.DeleteSavedSearch,
        saved_search.SetLabelsForSavedSearch,
        saved_search.UpdateSavedSearch,
        subject_relation.CreateSubjectRelation,
        subject_relation.DeleteSubjectRelation,
        subject_relation.EnqueueSubjectRelationEmail,
        subject_relation.SendSubjectRelationEmail,
        subject_relation.UpdateSubjectRelation,
        sync_geo_values.SyncGeoValues,
        task.CreateTask,
        task.DeleteTask,
        task.SetCompletionOnTask,
        task.UpdateTask,
        timeline_export.RequestCaseTimelineExport,
        timeline_export.RequestExport,
        timeline_export.RunExport,
    }
)
